- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# MFnKeyframeDeltaTangent Class Reference

# OpenMayaAnim - API module for animation | FunctionSet classes

Search for all occurrences

## Detailed Description

Function set for changes to a key's tangent.

A MFnKeyframeDeltaTangent function allows API programmers to read changes in keyframe tangent values. It captures changes in tangent type, as well as, changes in tangent time/value pair.

MFnKeyframeDeltaTangents are generated by a MAnimMessage::addAnimKeyframeEditedCallback. Because a key's tangent may be unbroken. It is possible to receive to MFnKeyframeDeltaTangent values per key -- one for the incoming tangent and one for the outgoing tangent. The API programmer should use the isInTangent method to determine if the tangent change affects the in-bound tangent or out-bound tangent.

`#include <MFnKeyframeDeltaTangent.h>`

Inheritance diagram for MFnKeyframeDeltaTangent:
[legend]

List of all members.

## Public Member Functions
virtual MFn::Type | type () const
| Function set type.
virtual | ~MFnKeyframeDeltaTangent ()
| Destructor.
| MFnKeyframeDeltaTangent ()
| Default constructor.
| MFnKeyframeDeltaTangent (MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
MFnAnimCurve::TangentType | previousTangentType (MStatus *ReturnStatus=NULL) const
| Returns the previous tangent type.
MFnAnimCurve::TangentType | currentTangentType (MStatus *ReturnStatus=NULL) const
| Returns the current tangent type that the key represents.
MStatus | getPreviousPosition (float &x, float &y) const
| Get the values of the previous time/value position of the tangent for this key.
MStatus | getCurrentPosition (float &x, float &y) const
| Get the values of the current time/value position of the tangent for this key.
bool | isInTangent (MStatus *ReturnStatus=NULL) const
| Key's have two tangents, in-bound and out-bound.
| MFnKeyframeDeltaTangent (const MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
## Protected Member Functions
virtual const char * | className () const
| Class name.

## Constructor & Destructor Documentation

MFnKeyframeDeltaTangent | ( | MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnKeyframeDeltaTangent | ( | const MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

## Member Function Documentation

MFn::Type type | ( |  | ) | const `[virtual]`

Search for all occurrences

Function set type.

Return the class type : MFn::kKeyframeDeltaTangent.

Reimplemented from MFnKeyframeDelta.

const char * className | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Class name.

Return the class name : "MFnKeyframeDeltaTangent".

Reimplemented from MFnKeyframeDelta.

MFnAnimCurve::TangentType previousTangentType | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns the previous tangent type.

Parameters:

  [out] | ReturnStatus | Return code.

Returns:
  The previous tangent type.

Status Codes:
  - MS::kSuccess The operation succeeded.
  - MS::kFailure An object error has occurred.

MFnAnimCurve::TangentType currentTangentType | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns the current tangent type that the key represents.

Parameters:

  [out] | ReturnStatus | Return code.

Returns:
  The current tangent type.

Status Codes:
  - MS::kSuccess The operation succeeded.
  - MS::kFailure An object error has occurred.

MStatus getPreviousPosition | ( | float & | x,
|  | float & | y
| ) |  | const

Search for all occurrences

Get the values of the previous time/value position of the tangent for this key.

Parameters:

  [out] | x | The x component of the position.
  [out] | y | The y component of the position.

Returns:
  MStatus based on the success or failure of the method.

Status Codes:
  - MS::kSuccess The operation succeeded.
  - MS::kFailure An object error has occurred.

MStatus getCurrentPosition | ( | float & | x,
|  | float & | y
| ) |  | const

Search for all occurrences

Get the values of the current time/value position of the tangent for this key.

Parameters:

  [out] | x | The x component of the position.
  [out] | y | The y component of the position.

Returns:
  A MStatus based on the success or failure of the method.

Status Codes:
  - MS::kSuccess The operation succeeded.
  - MS::kFailure An object error has occurred.

bool isInTangent | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Key's have two tangents, in-bound and out-bound.

A MFnKeyframeTangent object can created once for each tangent. Use this method to determine which tangent was modified.

Parameters:

  [out] | ReturnStatus | Return code.

Returns:
  - true if the incoming tangent was modified.
  - false if the outgoing tangent was modified.

Status Codes:
  - MS::kSuccess The operation succeeded.
  - MS::kFailure An object error has occurred.

MFnKeyframeDeltaTangent MFnKeyframeDeltaTangent MFnKeyframeDeltaTangent MFnKeyframeDeltaTangent MFnKeyframeDeltaTangent MFnKeyframeDeltaTangent MFnKeyframeDeltaTangent MFnKeyframeDeltaTangent MFnKeyframeDeltaTangent MFnKeyframeDeltaTangent
MFnKeyframeDeltaTangent MFnKeyframeDeltaTangent MFnKeyframeDeltaTangent MFnKeyframeDeltaTangent MFnKeyframeDeltaTangent MFnKeyframeDeltaTangent MFnKeyframeDeltaTangent MFnKeyframeDeltaTangent MFnKeyframeDeltaTangent MFnKeyframeDeltaTangent